> For the complete documentation index, see [llms.txt](https://docs.pagsmile.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pagsmile.com/reference/remittance-api/business/withdrawal/create-withdrawal-order.md).

# Create Withdrawal Order

### **Request** URL <a href="#payin-by-creditcard" id="payin-by-creditcard"></a>

`POST` `/remittance/withdrawal/create`

### **Request Body**

**Refer to :** [**common**](/reference/remittance-api/common.md)

**Biz\_data**

<table><thead><tr><th width="325">Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>merchant_id<mark style="color:red;">*</mark></td><td>long</td><td>Merchant ID</td></tr><tr><td>order_no<mark style="color:red;">*</mark></td><td>string</td><td>Order Number</td></tr><tr><td>pay_currency<mark style="color:red;">*</mark></td><td>string</td><td>Pay Currency</td></tr><tr><td>receive_currency<mark style="color:red;">*</mark></td><td>string</td><td>Receive Currency</td></tr><tr><td>receive_amount<mark style="color:red;">*</mark></td><td>string</td><td>Receive Amount</td></tr><tr><td>swift_fee_method</td><td>string</td><td><p>SHA</p><p>OUR，</p><p>Default value:SHA</p></td></tr><tr><td>reference</td><td>string</td><td>Reference</td></tr><tr><td>payee_id</td><td>long</td><td><p>Payee ID</p><p>Choose one of payee_id and payee object</p></td></tr><tr><td>payee.bank_country<mark style="color:red;">*</mark></td><td>string</td><td>Country Code</td></tr><tr><td>payee.payment_type<mark style="color:red;">*</mark></td><td>integer</td><td><p>Pay Type</p><p>Refer to <a href="/pages/3NVQck9ySQfOAf9171Fr">Pay Type</a></p><p>Fixed value:swift</p></td></tr><tr><td>payee.account_type<mark style="color:red;">*</mark></td><td>integer</td><td><p>Account Type</p><p>Refer to<a href="/pages/Y1e2AO75TEu30Li0z7uB"> Account Type</a></p></td></tr><tr><td>payee.payee_type<mark style="color:red;">*</mark></td><td>integer</td><td>Refer to: <a href="/pages/2ZEc7SpMUkYyoMWeLwbV">Payee Type</a></td></tr><tr><td>payee.payee_values<mark style="color:red;">*</mark></td><td>Object</td><td>Payee Values</td></tr></tbody></table>

### Response <a href="#example" id="example"></a>

{% tabs %}
{% tab title="200:submit successfully" %}

```
{
    "code": "10000",
    "msg": "Success",
    "data":{},
    "random_key":"abssdddd2wdw==",
    "sign_type": "RSA",
    "app_id": "2017051914172236111"
}
```

{% endtab %}

{% tab title="400: invalid-signature" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "invalid-signature",
    "sub_msg": "invalid signature"
}
```

{% endtab %}
{% endtabs %}

| Name                                                | Type    | Description                                         |
| --------------------------------------------------- | ------- | --------------------------------------------------- |
| order\_id<mark style="color:red;">\*</mark>         | long    | Order ID                                            |
| merchant\_id<mark style="color:red;">\*</mark>      | long    | Merchant ID                                         |
| transaction\_id                                     | long    | Transaction ID                                      |
| order\_no<mark style="color:red;">\*</mark>         | string  | Order ID                                            |
| order\_status<mark style="color:red;">\*</mark>     | integer | <p>Order Status</p><p>Refer to</p>                  |
| audit\_status<mark style="color:red;">\*</mark>     | integer | Audit Status                                        |
| bank\_country<mark style="color:red;">\*</mark>     | string  | Receive Country                                     |
| pay\_currency<mark style="color:red;">\*</mark>     | string  | Pay currency                                        |
| pay\_amount                                         | string  | Pay amount                                          |
| fee                                                 | string  | Fee                                                 |
| receive\_currency<mark style="color:red;">\*</mark> | string  | Receive Currency                                    |
| receive\_amount<mark style="color:red;">\*</mark>   | string  | Receive Amount                                      |
| account\_num<mark style="color:red;">\*</mark>      | string  | Account number                                      |
| payee\_name                                         | string  | Payee Name                                          |
| payee\_id                                           | long    | Payee ID                                            |
| <mark style="color:red;">quote\_id</mark>           | long    | Quote ID                                            |
| <mark style="color:red;">conversion\_rate</mark>    | string  | Conversion Rate                                     |
| reference                                           | string  | Reference                                           |
| error\_message                                      | string  | Error Message                                       |
| created\_at<mark style="color:red;">\*</mark>       | string  | <p>Create At,</p><p>Format: yyyy-MM-dd HH:mm:ss</p> |

### Example <a href="#example" id="example"></a>

<pre><code>
<strong>curl --location --request POST 'https://rem-api-sandbox.pagsmile.com/remittance/withdrawal/create' \
</strong>--header 'Content-Type: application/json' \
--data-raw '
{
    "partner_id": "000000000000001",
    "app_id": "162051914172236138",
    "timestamp": "2011-09-23 04:24:03",
    "format": "JSON",
    "version": "2.0",
    "random_key": "jJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElE",
    "request_id": "F6bEd39c-EecF-C1a2-AFcb-bA9BAeC8",
    "sign_type": "RSA",
    "biz_data":"9CSowcR2QOK5OzMjVwwww1123dddjJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElE"
}'
</code></pre>

```
```

Note: **162\*\*\*\*\*\*\*\*\*\*\*\*38** is pagsmile's test app id for sandbox

Please use your own **app\_id** when testing.
